@import '../rem';

.content {
    padding: 0;
}

.label {
    display: block;
    font-style: normal;
    font-weight: normal;
    font-size: rem(15px);
    line-height: rem(24px);
}

.badge {
    color: var(--color-gray-600);
}

.error-message {
    display: block;
    color: var(--color-alert);
    font-size: rem(12px);
    line-height: rem(16px);
    margin-top: rem(4px);
}

.customSingleValue {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    flex: 1;
}

.compactOption {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: rem(15px);
    line-height: rem(24px);
    padding: rem(8px) rem(16px);
    cursor: pointer;
    box-sizing: border-box;
    background: var(--color-white);

    &:hover {
        background: var(--color-primary);

        * {
            color: var(--color-white);
            fill: var(--color-white);
        }
    }
}

.compactControl {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: rem(12px);
    line-height: rem(16px);
    padding: rem(8px) rem(8px) rem(8px) rem(12px);
    cursor: pointer;
    transition: all 0.3s ease;
    border-radius: rem(4px);

    div {
        padding: 0;
    }

    svg {
        width: rem(16px);
        height: rem(16px);
    }

    &:focus {
        outline: none;
        box-shadow: 0 0 0 rem(3px) var(--btn-hollow-border);
    }
}

.compactLabel {
    font-size: rem(12px);
    line-height: rem(16px);
    margin-right: rem(2px);
}

.active {
    background: var(--btn-blue-700);
    color: var(--color-white);

    .badge {
        color: var(--color-white);
    }
}

.disabled {
    cursor: not-allowed;
    color: var(--color-black-30);

    &:hover {
        background: var(--color-white);

        * {
            color: var(--color-black-30);
        }
    }
}
